import { Marks } from './Marks';
import {scaleSqrt, max, groups} from 'd3'

export const BubbleMap = ({worldAtlas, filteredData}) => {
  const launchSiteValue = (d) => d['Site'];
  const launchesBySite = groups(
    filteredData,
    launchSiteValue
  ).map((d) => ({
    site: d[0],
    array: d[1],
    lng: d[1][0].lng,
    lat: d[1][0].lat,
  }));

  const maxRadius = 15;
  const sizeValue = (d) => d.array.length;
  const sizeScale = scaleSqrt()
    .domain([0, max(launchesBySite, sizeValue)])
    .range([1, maxRadius]);
  
  return (
    <Marks
      worldAtlas={worldAtlas}
      launchesBySite={launchesBySite}
      sizeValue={sizeValue}
      sizeScale={sizeScale}
    />
  );
};
