import React, {
  useState,
  useEffect,
} from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/snehareddygurram/1382394c8bcbcfcfeba73677439787e6/raw/12c8ff05a1e7f8c494f08724ee1a05ce462449da/data.csv';

export const useHistoricalLaunchData = () => {
  const [launchData, setLaunchData] = useState(
    null
  );

  useEffect(() => {
    const row = (d) => {
      d.lat = +d.lat;
      d.lng = +d.lng;
      d['Date'] = new Date(d['Date']);
      return d;
    };
    csv(csvUrl, row).then(setLaunchData);
  }, []);
  return launchData;
};
